<?php
#    IRM - The Information Resource Manager
#    Copyright (C) 1999 Yann Ramin
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License (in file COPYING) for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
################################################################################
include("../include/irm.inc");
require_once 'lib/Config.php';
require_once 'include/i18n.php';

AuthCheck("admin");

commonHeader(_("FastTrack") ." - " . _("Auto Fill"));
__("Welcome to the IRM FastTrack Automatic Tracking Filler utility.");
echo "<hr noshade>";
$query = "SELECT * FROM fasttracktemplates";
$DB = Config::Database();
$data = $DB->getAll($query);

PRINT "<table width=100% border=1 noshade><tr><th><strong>";
__("Auto Fill Selections");
PRINT "</strong></th></tr>";
foreach ($data as $result)
{
	$ID = $result["ID"];
  	$name = $result["name"];
	PRINT "<tr bgcolor=\"#DDDDDD\"><td>\n";
	PRINT ' <A HREF="'.Config::AbsLoc("users/tracking-fasttrack.php?AUTOFILL=$ID").'">';
  	PRINT "$name</A>";
	PRINT "</TD>\n";
	PRINT "</TR>\n";
}
PRINT "</TABLE>";

commonFooter();
